=== debian/changelog ===
ros-kinetic-rosserial-leonardo-cmake (0.1.4-0xenial) xenial; urgency=high

  * Updated arduino link from google code
  * Contributors: Dave Niewinski

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Thu, 18 Apr 2019 04:00:00 -0000

ros-kinetic-rosserial-leonardo-cmake (0.1.3-0xenial) xenial; urgency=high

  * Remove old build deps from lists file as well.
  * Contributors: Mike Purvis

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 23 Jul 2014 04:00:00 -0000

ros-kinetic-rosserial-leonardo-cmake (0.1.2-0xenial) xenial; urgency=high

  * Remove unneeded build-time dependencies.
  * Third time's the charm at fixing the downloader.
  * Contributors: Mike Purvis

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Tue, 22 Jul 2014 04:00:00 -0000

ros-kinetic-rosserial-leonardo-cmake (0.1.1-0xenial) xenial; urgency=high

  * Specify build-time rosdeps properly, switch wget -> curl.
  * Contributors: Mike Purvis

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Tue, 22 Jul 2014 04:00:00 -0000

ros-kinetic-rosserial-leonardo-cmake (0.1.0-0xenial) xenial; urgency=high

  * Initial release to ros-public.
  * Fix for installing bootloader on factory IC.

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Mon, 21 Jul 2014 04:00:00 -0000

ros-kinetic-rosserial-leonardo-cmake (0.0.2-0xenial) xenial; urgency=high

  * Add avr tools as run dependencies.

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Tue, 28 Jan 2014 05:00:00 -0000

ros-kinetic-rosserial-leonardo-cmake (0.0.1-0xenial) xenial; urgency=high

  * Initial release

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 22 Jan 2014 05:00:00 -0000
